/*
	File:		ATalkSample.h

	Contains:	Some utility routines used by the Sample programs

	Copyright:	 1993-1995 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __ATALKSAMPLEUTILS__
#define __ATALKSAMPLEUTILS__

#ifndef __OPENTRANSPORT__
#include <OpenTransport.h>
#endif

class DDPAddress;

void Idle();
void ShowEndpointInfo(TEndpoint* ep);
void ShowEndpointState(TEndpoint* ep, char* prefixString);
void ShowFullEndpointData(TEndpoint* ep);
void ShowDDPAddress(DDPAddress* addr);

#endif
